Check status of ldap imported users
GET
/domains/ldap/check
const url = 'https://example.com/api/v1/domains/ldap/check';const options = {method: 'GET', headers: {cookie: 'grommunioAuthJwt=<grommunioAuthJwt>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/v1/domains/ldap/check \ --cookie grommunioAuthJwt=<grommunioAuthJwt>Authorizations
Section titled “Authorizations”Parameters
Section titled “ Parameters ”Query Parameters
Section titled “Query Parameters”domain
integer
ID of the domain
organization
integer
ID of the organization
Responses
Section titled “ Responses ”A list of orphaned users is returned
Media typeapplication/json
object
orphaned
List of users whose externID could not be found in LDAP
Array<object>
object
ID
Unique ID of the object
integer
username
string
Examplegenerated
{ "orphaned": [ { "username": "example" } ]}Validation of input parameters failed
Media typeapplication/json
object
message
string
errors
List of errors encountered during validation
Array<string>
Examplegenerated
{ "message": "example", "errors": [ "example" ]}An error occurred while processing the request
Media typeapplication/json
object
message
String representation of the exception
string
Examplegenerated
{ "message": "example"}One of the required external services is unavailable
Media typeapplication/json
object
message
Description of the error
string
Examplegenerated
{ "message": "example"}